## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global uuid argos@pew.worldwidemann.com

# https://github.com/p-e-w/argos is unmaintained, temporarily use
# mwilck's version which has the most comprehensive updates for GNOME 3.36+
%global forgeurl https://github.com/mwilck/argos
%global commit 2eb03a7a8b7a44b82960f33130968862d058bcc8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20211027

Name:           gnome-shell-extension-argos
Version:        3^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Create GNOME Shell extensions in seconds

License:        GPLv3
URL:            %{forgeurl}
Source:         %{url}/archive/%{commit}/argos-%{commit}.tar.gz
Patch:          %{url}/pull/6.patch#/%{name}-add-gnome42.patch

BuildArch:      noarch

Requires:       gnome-shell

%description
Most GNOME Shell extensions do one thing: Add a button with a dropdown menu to
the panel, displaying information and exposing functionality. Even in its
simplest form, creating such an extension is a nontrivial task involving a
poorly documented and ever-changing JavaScript API.

Argos lets you write GNOME Shell extensions in a language that every Linux user
is already intimately familiar with: Bash scripts.

More precisely, Argos is a GNOME Shell extension that turns executables'
standard output into panel dropdown menus. It is inspired by, and fully
compatible with, the BitBar app for macOS. Argos supports many BitBar plugins
without modifications, giving you access to a large library of well-tested
scripts in addition to being able to write your own.


%prep
%autosetup -p1 -n argos-%{commit}


%build


%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/
cp -pr %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/


%files
# asked upstream to include license text:
# https://github.com/p-e-w/argos/pull/115
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
* Wed Mar 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 3^20211027git2eb03a7-2
- Spec clean-up

* Mon Mar 14 2022 Ed Vergara <evergara444@gmail.com> - 3^20211027git2eb03a7-1
- Update metadata to support GNOME 42

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3-8.20211027git2eb03a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov  2 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-7.20211027git2eb03a7
- Update to support GNOME 41

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-7.20200505git23718a8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-6.20200505git23718a8
- Stop using forge macros as they are buggy on EPEL8

* Fri Mar 26 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-5.20200505git23718a8
- Switch to mwilck's fork which has better support for newer GNOME versions
- Declare support for GNOME 3.38 and 40

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-4.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3-3.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 28 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.20200110.fcb4751
- add URLs to pull requests for reference

* Thu Apr 23 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-1.20200110.fcb4751
- Initial Fedora package

